Bug 1127359 - WARN [org.jboss.as.txn] (ServerService Thread Pool -- 54) JBAS010153: Node identifier property is set to the default value
Summary: WARN [org.jboss.as.txn] (ServerService Thread Pool -- 54) JBAS010153: Node i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Productization, Configuration
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: CR01
: JON 3.3.11
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 18:22 UTC by Matt Mahoney
Modified: 2018-10-16 17:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 17:06:49 UTC
Type: Bug


Attachments (Terms of Use)
server.log (1.43 MB, text/plain)
2014-08-06 18:22 UTC, Matt Mahoney
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2930 None None None 2018-10-16 17:07:10 UTC
Red Hat Knowledge Base (Solution) 3338481 None None None 2018-01-30 16:44:51 UTC

Description Matt Mahoney 2014-08-06 18:22:29 UTC
Created attachment 924557 [details]
server.log

Description of problem:
Error in server.log file after clean install and server start:

Version-Release number of selected component (if applicable):
JON 3.3 DR01

How reproducible:


Steps to Reproduce:
1. Install and start JON
2.
3.

Actual results:
Warnings in server.log after clean install/start.

Expected results:
Should be zero silent warnings in server.log


Additional info:

Comment 1 Heiko W. Rupp 2014-08-26 12:23:19 UTC
Closing this as the reporter did not take any time to clearly indicate the error.

"Something is broken" is insufficient data"

Comment 2 Larry O'Leary 2018-01-25 20:29:17 UTC
Re-opening this bug as it is impacting our customers.

Seems like we have overlooked this simple requirement. For txn to be isolated from each JBoss ON server in a cluster, each EAP server will have to have a unique identifier. This unique identifier needs to be defined for the transactions subsystem's core-environment node-identifier atttribute:

...
<subsystem xmlns="urn:jboss:domain:transactions:1.4">
    <core-environment node-identifier="${rhq.server.high-availability.name:rhq-server-01}">
...

If this is not defined, transaction recovery may be attempted on incorrect instances resulting in failures as identified in https://access.redhat.com/solutions/260023

Comment 3 Larry O'Leary 2018-01-25 20:39:54 UTC
The mentioned default of rhq-server-01 from comment 2 won't work as there are some noted restrictions to the node id value. For example, no hyphens and the maximum length is 28 characters. Meaning that we probably can't use the raw value provided by rhq.server.high-availability.name. Instead, we will need to remove hyphens and truncate to 28 characters and hope that it is still unique.

Comment 5 Larry O'Leary 2018-02-02 15:51:58 UTC
We have passed the deadline for 3.3 update 10 payload.

A low risk fix for this issue will require more research so I am resetting the target to 3.3.11 for further consideration.

The current assessment is that for new installations, setting the node-identifier  would be possible. However, for existing installations, changes to the node-identifier could impact in-process transactions. This impact would not be limited to HA or customers who have experienced transactions issues. It would impact all installations, including single server. 

Granted, if the server finished its work on shutdown and there were no in-process transactions, there would be no issues. But the concern is with those environments that perhaps are performing ungraceful shutdowns or have large volumes of work left in the queue at shutdown.

Comment 9 Michael Burman 2018-08-15 12:14:14 UTC
In the master:

commit d3375b4a69210e3b5dcc56aa4d9e697d67c67081 (HEAD -> master)
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Aug 15 15:12:58 2018 +0300

    [BZ 1127359] Parameter jboss.tx.node.id in rhq-server.properties allows setting EAP HA identifier during installation

Comment 25 Michael Burman 2018-09-19 15:43:53 UTC
In the master:

commit 8146a892f9c8174304cb43f64a7becef57d58243 (HEAD -> master)
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Sep 19 18:42:25 2018 +0300

    [BZ 1139102] Update description for jboss.tx.node.id

Comment 30 errata-xmlrpc 2018-10-16 17:06:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2930


Note You need to log in before you can comment on or make changes to this bug.